Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ProfileAccentColors

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ProfileAccentColors

Enclosing class:
  TdApi

public static final class TdApi.ProfileAccentColors extends TdApi.Object
Contains information about supported accent colors for user profile photo background in RGB format.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`backgroundColors`
The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int[]`
`paletteColors`
The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.
`int[]`
`storyColors`
The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

## Constructor Summary

Constructors
Constructor
Description
`ProfileAccentColors()`
Contains information about supported accent colors for user profile photo background in RGB format.
`ProfileAccentColors(int[] paletteColors, int[] backgroundColors, int[] storyColors)`
Contains information about supported accent colors for user profile photo background in RGB format.
`ProfileAccentColors(DataInput input)`
Contains information about supported accent colors for user profile photo background in RGB format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### paletteColors

public int[] paletteColors
The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.

### backgroundColors

public int[] backgroundColors
The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.

### storyColors

public int[] storyColors
The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ProfileAccentColors

public ProfileAccentColors()
Contains information about supported accent colors for user profile photo background in RGB format.

### ProfileAccentColors

public ProfileAccentColors(int[] paletteColors, int[] backgroundColors, int[] storyColors)
Contains information about supported accent colors for user profile photo background in RGB format.

Parameters:
  `paletteColors` - The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.
  `backgroundColors` - The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.
  `storyColors` - The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

### ProfileAccentColors

public ProfileAccentColors(DataInput input) throws IOException
Contains information about supported accent colors for user profile photo background in RGB format.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`